Subject: Re: bug#56393: Actually fix the long lines display bug

From: Gerd Möllmann <[email-masked]>
Date: Fri, 8 Jul 2022 08:25:29 +0200

> On 2022-07-08,, at 7:56 , Eli Zaretskii <[email-masked]> wrote:
> 
>> From: Gerd Möllmann <[email-masked]>
>> 
>> Too bad.  It does not improve the "habitability" of the code, IMO.
> 
> I'm not sure I understand: can you elaborate what you mean by that?

I used the term habitability in the sense of Richard Gabriel in Patterns of Software.

https://www.dreamsongs.com/Files/PatternsOfSoftware.pdf <https://www.dreamsongs.com/Files/PatternsOfSoftware.pdf>

"Habitability is the characteristic of source code that enables programmers, coders, bug-fixers, and people coming to the code later in its life to understand its construction and intentions and to change it comfortably and confidently."

(There's of course more...)

> 
> From my POV, the names are quite self-explanatory, and in a production
> build these small functions are all inlined by the compiler, so I
> don't think I see a significant downside.

But now, as in this case with the new variable, one has to write a new bset function, for no other reason than to make matters worse by introducing inconsistency by having some variables that habe a bset and other that have not...  I'm sure you understand what I mean.

I think I wouldn't call it "significant" either, but I also don't think it's good in any sense.

>  (There _was_ a downside in
> the past: the annoying job of converting all direct accesses to struct
> members to function calls, but that's water under the bridge.)

Right.